<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../negocio/Proveedor.empresa.clase.php';
date_default_timezone_set("America/Lima");


if (
    !isset($_POST["numeroDocumento"])
    ) {
    return Funciones::imprimeJSON(200, "error", "Faltan parámetros");
}

try{
    $numeroDocumento = $_POST["numeroDocumento"];
    $obj = new ProveedorEmpresa();
    $resultado = $obj->recuperarCuenta($numeroDocumento);
    Funciones::imprimeJSON(200, "success", $resultado);
}catch(Exception $e){
    return Funciones::imprimeJSON(200, "error", $e->getMessage());
}
