<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Garita.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if(!isset($_POST["p_hash"])){
    Funciones::imprimeJSON(500, "error", "Faltan parámetros");
    exit;
}

try{
    $hash = $_POST["p_hash"];
    $obj = new Garita();
    $resultado = $obj->leerDatosQrConductorCarga($hash);
    Funciones::imprimeJSON(200, "Datos QR", $resultado);
}catch(Exception $e){
    Funciones::imprimeJSON(500, "error", $e->getMessage());
}

