<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Garita.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if(!isset($_POST["p_dni"])
    || !isset($_POST["p_tipo"])){
    Funciones::imprimeJSON(200, "error", "Faltan parámetros");
    exit;
}

try{
    $obj = new Garita();
    $dni = $_POST["p_dni"];
    $tipo = $_POST["p_tipo"];

    if ($tipo != "QR" && strlen($dni) <= 12) {
        // $resultado = $obj->obtenerQRConductorPorDni($dni);
        // if(empty($resultado)){
            $resultado = $obj->datosEntradaGarita($dni);
        // }
        Funciones::imprimeJSON(200, "Datos entrada", $resultado);
    }else{
       /* $codigoQrDecoded = base64_decode($dni);

        $LEER_TIPO_QR = "";
        if (strstr($codigoQrDecoded, 'cod_cond') && strstr($codigoQrDecoded, 'fecha_ini')){
            $LEER_TIPO_QR = "EXPIRABLE";
        } else if(strstr($codigoQrDecoded, 'cod_cond')){
            $LEER_TIPO_QR = "CONDUCTOR";
        }else if (strstr($codigoQrDecoded, 'cod_ve')){
            $LEER_TIPO_QR = "VEHICULO";
        } else if(strstr($codigoQrDecoded, 'rut_nomb')){
            $LEER_TIPO_QR = "TRANSPORTISTA";
        }

        switch ($LEER_TIPO_QR) {
            case "CONDUCTOR":
                $separador = explode("#", $codigoQrDecoded);
                $codigo_conductor = explode("=", $separador[0]);
                $codigo_conductor = $codigo_conductor[1];
                $codigo_empresa = explode("=", $separador[1]);
                $codigo_empresa = $codigo_empresa[1];
                $resultado = $obj->obtenerDatosQrEntradaConductor($codigo_conductor, $codigo_empresa, 1);
                Funciones::imprimeJSON(200, "Datos entrada conductor", $resultado);
            break;
            case "VEHICULO":
                $separador = explode("#", $codigoQrDecoded);
                $codigo_vehiculo = explode("=", $separador[0]);
                $codigo_vehiculo = $codigo_vehiculo[1];
                $codigo_empresa = explode("=", $separador[6]);
                $codigo_empresa = $codigo_empresa[1];
                $resultado = $obj->obtenerDatosQrEntradaVehiculo($codigo_vehiculo, $codigo_empresa, 1);
                Funciones::imprimeJSON(200, "Datos entrada vehiculo", $resultado);
            break;
            case "TRANSPORTISTA":
                $separador = explode('#', $codigoQrDecoded);
                // print_r($separador);
                // exit;
                $placa = explode("=", $separador[1]);
                $placa = $placa[1];

                $cod_empresa_dirige = explode("=", $separador[7]);
                $cod_empresa_dirige = $cod_empresa_dirige[1];

                $codigo_tipo_vehiculo = explode("=", $separador[5]);
                $codigo_tipo_vehiculo = $codigo_tipo_vehiculo[1];

                $codigo_conductor = explode("=", $separador[11]);
                $codigo_conductor = $codigo_conductor[1];

                $nombre_conductor = explode("=", $separador[12]);
                $nombre_conductor = $nombre_conductor[1];

                $dni = explode("=", $separador[16]);
                $dni = $dni[1];

                $codigo_proveedor = explode("=", $separador[8]);
                $codigo_proveedor = $codigo_proveedor[1];

                $codigo_empresa = explode("=", $separador[7]);
                $codigo_empresa = $codigo_empresa[1];

                $coodigo_vehiculo = explode("=", $separador[0]);
                $coodigo_vehiculo = $coodigo_vehiculo[1];

                $codigo_ruta = explode("=", $separador[14]);
                $codigo_ruta = $codigo_ruta[1];

                $nombre_ruta = explode("=", $separador[15]);
                $nombre_ruta = $nombre_ruta[1];

                $estado = $obj->obtenerEstadoConductor($codigo_conductor, $codigo_proveedor, $codigo_empresa, $coodigo_vehiculo);

                $resultado["placa"] = $placa;
                $resultado["cod_emp_pertenece"] = $cod_empresa_dirige;
                $resultado["cod_emp_dirige"] = $cod_empresa_dirige;
                $resultado["codigo_tipo_vehiculo"] = $codigo_tipo_vehiculo;
                $resultado["nombre_conductor"] = $nombre_conductor;
                $resultado["dni"] = $dni;
                $resultado["estado"] = $estado;
                if($resultado["estado"] == "I"){
                    $resultado["alerta"] = "Este código está inactivo, por favor verifique todos los datos";
                }
                $resultado["codigo_ruta"] = $codigo_ruta;
                $resultado["nombre_ruta"] = $nombre_ruta;
                $resultado["codigo_proveedor"] = $codigo_proveedor;
                $resultado["tipo_empresa"] = "P";
                Funciones::imprimeJSON(200, "Datos entrada transportista", $resultado);
            break;
            case "EXPIRABLE":
                $separador = explode('#', $codigoQrDecoded);
                // print_r($separador);
                // exit;
                $fecha_inicio = explode("=", $separador[6]);
                $fecha_inicio = $fecha_inicio[1];
                $fecha_fin = explode("=", $separador[7]);
                $fecha_fin = $fecha_fin[1];
                // $hoy = date('2020-11-12');
                $hoy = date('Y-m-d');


                $hoy=date('Y-m-d', strtotime($hoy));
                $fecha_inicio = date('Y-m-d', strtotime($fecha_inicio));
                $fecha_fin = date('Y-m-d', strtotime($fecha_fin));

                if (($hoy >= $fecha_inicio) && ($hoy <= $fecha_fin)){ //Está dentro del rango de entrada permitido
                    $alerta = "";
                }else{
                    $alerta = "No tienes permitido el ingreso hoy. \nLas fechas permitidas para tu ingreso son: F. Ingreso: $fecha_inicio y F. Salida: $fecha_fin";
                }
                $codigo_conductor = explode("=", $separador[0]);
                $codigo_conductor = $codigo_conductor[1];
                $codigo_empresa = explode("=", $separador[1]);
                $codigo_empresa = $codigo_empresa[1];
                $resultado = $obj->obtenerDatosQrEntradaConductor($codigo_conductor, $codigo_empresa, 1);
                $resultado["alerta"] = $alerta;
                $resultado["tipo_empresa"] = "P";
                $resultado["codigo_proveedor"] = $codigo_empresa;
                Funciones::imprimeJSON(200, "Datos entrada expirable", $resultado);
            break;
            default:
                Funciones::imprimeJSON(200, "error", "Parece que ese QR no ha sido generado por Pro Olmos");
            break;
        }*/
    }
}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}
