<?php
require __DIR__.'/../datos/Conexion.clase.php';

class Caseta extends Conexion {

    public function listarCasetas(){
        try {
            $sql = "SELECT
                        codigo_caseta as codigo,
                        descripcion_caseta as nombre
                    FROM
                        caseta_control
                    ORDER BY
                        2 asc";
            $sentencia = $this->dblink->prepare($sql);
            $sentencia->execute();
            $resultado = $sentencia->fetchAll(PDO::FETCH_ASSOC);

            if (!$sentencia->rowCount()) {
                throw new Exception("No hay casetas disponibles.");
            }
            return $resultado;
        } catch (Exception $e) {
            throw $e;
        }
    }
}